> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add B2B Account tAttribute

> Add a customer attribute to the B2B account.



## OpenAPI

````yaml /openapi/openapi_customer.json post /commerce/customer/b2baccounts/{accountId}/attributes
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CUSTOMER">
                <h2>CUSTOMER</h2>
                <p>The Customer API manages a customer's information, including their billing and shipping address
                    information,
                    contact information, order history, lifetime value, and more. It allows for customers to be grouped into
                    sets
                    to control the specific sites they can access using the same login credentials, as well as supports the
                    B2B
                    commerce feature that includes a hierarchy of customer accounts. For more information about customer management and the Unified Commerce Admin UI, see the <a href="/pages/b2c">general</a> and <a href="/pages/b2b">B2B</a> customers guides.</p>
                <p>Use the <strong>B2B</strong> and <strong>Customer Accounts</strong> resources to manage the components of shopper accounts, including
                    attributes, contact information, company notes, and groups associated with the customer account.</p>
                <p>Use the <strong>Address Validation</strong> resource to validate addresses associated with a customer account contact.</p>
                <p><strong>Customer Attributes</strong> are custom attributes that you can apply to customer accounts to add further
                    definition for special uses, such as marketing campaigns, or discounts. Refer to the <a href="/pages/customer-attributes">Customer
                        Attributes user guide</a> for more information.</p>
                <p>Use the <strong>Customer Credits</strong> resource to manage the store credit associated with a customer account. Store
                    credit can represent a static amount the customer can redeem at any of the tenant's sites, or a gift
                    card registered for a customer account. At this time, gift card functionality is reserved for future
                    use.</p>
                <p>Use the <strong>Customer Segments</strong> resource to manage groups of customers and target discounts for these segments. After a customer segment is defined, you can
                    associate any number of customer accounts with it. Meanwhile, the <strong>Customer Sets</strong> resource controls the specific sites your customers can access using the same
                    login credentials, as well as what My Account storefront customer information is shared between sites.</p>
                <p>Use the <strong>Visits</strong> resource to manage all visits a customer makes to a tenant's sites and measure the level
                    of transactions a customer performs during a unique visit for customer account analytics. Track customer
                    visits by site (including online and in-person interactions), the transactions a customer performs
                    during the visit, and the device type associated with the visit, if any.</p>
                <p>Use the <strong>Customer In-Stock Notification Subscription</strong> resource to manage the subscriptions customer
                    accounts use to send product notifications. This resource can send a notification when a product in a
                    catalog returns to a site's active inventory after it is out of stock, or when a new product becomes
                    available for the first time. (Not supported for bundled products.)</p>
                <p>Use the <strong>Storefront Auth Ticket</strong> resource to generate and refresh authentication tickets for
                    customer accounts.</p>
            </div>
  title: Customer
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/customer/b2baccounts/{accountId}/attributes:
    post:
      tags:
        - B2BAccount
      summary: Add B2B Account tAttribute
      description: Add a customer attribute to the B2B account.
      parameters:
        - description: ''
          in: path
          name: accountId
          required: true
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerAttribute'
        description: ''
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerAttribute'
            text/json:
              schema:
                $ref: '#/components/schemas/CustomerAttribute'
            text/plain:
              schema:
                $ref: '#/components/schemas/CustomerAttribute'
          description: OK
components:
  schemas:
    CustomerAttribute:
      properties:
        adminName:
          maxLength: 50
          nullable: true
          type: string
        attributeCode:
          maxLength: 50
          minLength: 1
          type: string
        attributeFQN:
          nullable: true
          type: string
        attributeMetadata:
          items:
            $ref: '#/components/schemas/CustomerAttributeMetadataItem'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        availableForDiscounts:
          type: boolean
        availableForOrderRouting:
          type: boolean
        content:
          $ref: '#/components/schemas/CommerceRuntimeAttributeLocalizedContent'
        dataType:
          nullable: true
          type: string
        displayGroup:
          minLength: 1
          type: string
        id:
          format: int32
          nullable: true
          type: integer
        inputType:
          nullable: true
          type: string
        isActive:
          nullable: true
          type: boolean
        isMultiValued:
          nullable: true
          type: boolean
        isReadOnly:
          type: boolean
        isRequired:
          nullable: true
          type: boolean
        isVisible:
          nullable: true
          type: boolean
        namespace:
          maxLength: 200
          nullable: true
          type: string
        order:
          format: int32
          nullable: true
          type: integer
        validation:
          $ref: '#/components/schemas/CommerceRuntimeAttributeValidation'
        valueType:
          minLength: 1
          type: string
        vocabularyValues:
          items:
            $ref: '#/components/schemas/CustomerAttributeVocabularyValue'
          nullable: true
          type: array
      required:
        - attributeCode
        - displayGroup
        - valueType
      type: object
    CustomerAttributeMetadataItem:
      properties:
        key:
          maxLength: 50
          minLength: 1
          type: string
        value:
          minLength: 1
          type: string
      required:
        - key
        - value
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CommerceRuntimeAttributeLocalizedContent:
      properties:
        localeCode:
          maxLength: 8
          nullable: true
          type: string
        value:
          maxLength: 100
          nullable: true
          type: string
      type: object
    CommerceRuntimeAttributeValidation:
      properties:
        maxDateTime:
          format: date-time
          nullable: true
          type: string
        maxNumericValue:
          format: double
          nullable: true
          type: number
        maxStringLength:
          format: int32
          nullable: true
          type: integer
        minDateTime:
          format: date-time
          nullable: true
          type: string
        minNumericValue:
          format: double
          nullable: true
          type: number
        minStringLength:
          format: int32
          nullable: true
          type: integer
        regularExpression:
          maxLength: 200
          nullable: true
          type: string
      type: object
    CustomerAttributeVocabularyValue:
      properties:
        content:
          $ref: '#/components/schemas/CustomerAttributeValueLocalizedContent'
        isHidden:
          nullable: true
          type: boolean
        sequence:
          format: int32
          nullable: true
          type: integer
        value:
          maxLength: 50
          minLength: 1
          type: string
      required:
        - value
      type: object
    CustomerAttributeValueLocalizedContent:
      properties:
        localeCode:
          minLength: 1
          type: string
        value:
          minLength: 1
          type: string
      required:
        - localeCode
        - value
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````